# $Id: perl-PPI-Tester.spec 6001 2007-11-19 02:02:15Z dag $
# Authority: dag
# Upstream: Adam Kennedy<cpan@ali.as>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name PPI-Tester

Summary: wxPerl-based interactive PPI debugger/tester
Name: perl-PPI-Tester
Version: 0.06
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/PPI-Tester/

Source: http://www.cpan.org/modules/by-module/PPI/PPI-Tester-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.005
BuildRequires: perl(Test::More) >= 0.47
BuildRequires: perl(File::Spec) >= 0.82
BuildRequires: perl(ExtUtils::AutoInstall) >= 0.49
BuildRequires: perl(PPI) >= 0.840
BuildRequires: perl(Wx) >= 0.19
Requires: perl >= 0:5.005

%description
A wxPerl-based interactive PPI debugger/tester.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README
%doc %{_mandir}/man3/PPI::Tester.3pm*
%doc %{_mandir}/man1/ppitester.1.gz
#%doc %{_mandir}/man3/*.3pm*
%{_bindir}/ppitester
%dir %{perl_vendorlib}/PPI/
#%{perl_vendorlib}/PPI/Tester/
%{perl_vendorlib}/PPI/Tester.pm

%changelog
* Mon Aug 06 2007 Jim <quien-sabe@metaorg.com> - 0.06-2 #6001
- Added BuildRequires perl(PPI) perl(Wx)
- Fixed unpackagedfiles error for ppitester

* Sun Aug 05 2007 Dag Wieers <dag@wieers.com> - 0.06-1
- Initial package. (using DAR)
